Product Hunt category products
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-producthunt-categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"category": "productivity",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-producthunt-categories"
payload = {
"category": "productivity",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({category: 'productivity', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-producthunt-categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "producthunt_categories",
"category": "productivity",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Product Hunt — category products\n\n- **Category:** productivity\n- **Results:** 2 of 9653 found\n- **Proxy traffic:** 794.9 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "figma",
"name": "Figma",
"url": "https://www.producthunt.com/products/figma",
"alias": "figma",
"product_id": "109920",
"tagline": "The collaborative interface design tool",
"rating": 4.93,
"review_count": 1589,
"post_count": 34,
"image": "https://ph-files.imgix.net/db00a7a1-6778-4e51-a953-de5a9a339bc9.jpeg?auto=format&fit=crop&w=128&h=128",
"categories": [
{
"name": "Team collaboration software",
"slug": "team-collaboration",
"url": "https://www.producthunt.com/categories/team-collaboration"
},
{
"name": "Wireframing",
"slug": "wireframing",
"url": "https://www.producthunt.com/categories/wireframing"
},
{
"name": "Interface design tools",
"slug": "interface-design-tools",
"url": "https://www.producthunt.com/categories/interface-design-tools"
}
],
"is_no_longer_online": false
},
"items": [
{
"id": "figma",
"name": "Figma",
"url": "https://www.producthunt.com/products/figma",
"alias": "figma",
"product_id": "109920",
"tagline": "The collaborative interface design tool",
"rating": 4.93,
"review_count": 1589,
"post_count": 34,
"image": "https://ph-files.imgix.net/db00a7a1-6778-4e51-a953-de5a9a339bc9.jpeg?auto=format&fit=crop&w=128&h=128",
"categories": [
{
"name": "Team collaboration software",
"slug": "team-collaboration",
"url": "https://www.producthunt.com/categories/team-collaboration"
},
{
"name": "Wireframing",
"slug": "wireframing",
"url": "https://www.producthunt.com/categories/wireframing"
},
{
"name": "Interface design tools",
"slug": "interface-design-tools",
"url": "https://www.producthunt.com/categories/interface-design-tools"
}
],
"is_no_longer_online": false
},
{
"id": "notion",
"name": "Notion",
"url": "https://www.producthunt.com/products/notion",
"alias": "notion",
"product_id": "106091",
"tagline": "The all-in-one workspace",
"rating": 4.83,
"review_count": 1409,
"post_count": 25,
"image": "https://ph-files.imgix.net/ff3e2acf-884a-4f4c-a383-6edfe3de0d88.png?auto=format&fit=crop&w=128&h=128",
"categories": [
{
"name": "Note and writing apps",
"slug": "notes-documents",
"url": "https://www.producthunt.com/categories/notes-documents"
},
{
"name": "Project management software",
"slug": "project-management",
"url": "https://www.producthunt.com/categories/project-management"
},
{
"name": "No-code Platforms",
"slug": "no-code-platforms",
"url": "https://www.producthunt.com/categories/no-code-platforms"
}
],
"is_no_longer_online": false
}
],
"total_found": 9653,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 813954
},
"total_points": 2
}Startup & Funding Data
Product Hunt category products
Products of a Product Hunt category: name, tagline, rating, review count, launches and categories. 1 point per returned record.
POST
/
functions
/
v1
/
run-producthunt-categories
Product Hunt category products
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.